{% if cloudstack.plugins.letsencrypt.config.issuers.dns01.enabled|bool %}
- dns01:
{% if cloudstack.plugins.letsencrypt.config.issuers.dns01.solver == "cloudflare" %}
    cloudflare:
      email: "{{ cloudstack.plugins.cloudflare.config.email }}"
      apiKeySecretRef:
        name: cloudflare-api-key-secret
        key: api-key
{% endif %}
  selector:
    dnsNames:
    - '{{ cloudstack.stack.hostname }}'
    - '*.{{ cloudstack.stack.hostname }}'
{% endif %}